Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Amarok 2.2 vuole necessariamente Mysql?
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
grifone87
Tux's lil' helper
Tux's lil' helper


Joined: 01 Jun 2005
Posts: 81
Location: Rome, Italy

PostPosted: Wed Nov 04, 2009 11:52 pm    Post subject: Amarok 2.2 vuole necessariamente Mysql? Reply with quote

Ciao a tutti.
Tentando di aggiornare amarok, mi sono imbattuto nel seguente errore:
Code:

emerge: there are no ebuilds built with USE flags to satisfy ">=dev-db/mysql-5.0.76-r1[embedded,-minimal]".
!!! One of the following packages is required to complete your request:
- dev-db/mysql-5.0.84-r1 (Change USE: +embedded)
(dependency required by "media-sound/amarok-2.2.0" [ebuild])
(dependency required by "amarok" [argument])

Ovviamente aggiungendo al make.conf la USE flag embedded, l'errore sparisce, ma vuole installare Mysql nonostante abbia impostato la flag -mysql. Però, a parte un paio di esami all'università, non ho la necessità di utilizzare un DBMS "complesso" come Mysql o Postgresql; mi sarebbe bastato sqlite per gestire il database delle canzoni. Invece, visto che portage salta la flag, deduco che Mysql sia fondamentale per Amarok 2. Mi devo rassegnare?
Back to top
View user's profile Send private message
Apetrini
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1158

PostPosted: Thu Nov 05, 2009 12:39 am    Post subject: Reply with quote

Amarok2 vuole per forza mysql. Poi scegli tu se vuoi usare un mysql vero e proprio o usare l'embedded. mysql embedded è molto piu performante con grosse moli di canzoni di sqlite.
_________________
Linux ape 2.6.31-vanilla. Paludis since 0.28.0.
Back to top
View user's profile Send private message
grifone87
Tux's lil' helper
Tux's lil' helper


Joined: 01 Jun 2005
Posts: 81
Location: Rome, Italy

PostPosted: Thu Nov 05, 2009 12:00 pm    Post subject: Reply with quote

Grazie per l'informazione.
Però non sono sicuro che la flag embedded non installi un mysql "vero e proprio": piuttosto dovrebbe installare un mysql completo + la libreria per l'inclusione nelle applicazioni.

Apetrini wrote:
mysql embedded è molto piu performante con grosse moli di canzoni di sqlite.


Su questo non avevo dubbi. :D
Back to top
View user's profile Send private message
Apetrini
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1158

PostPosted: Thu Nov 05, 2009 3:31 pm    Post subject: Reply with quote

grifone87 wrote:
Grazie per l'informazione.
Però non sono sicuro che la flag embedded non installi un mysql "vero e proprio": piuttosto dovrebbe installare un mysql completo + la libreria per l'inclusione nelle applicazioni.


Non mi sono spiegato bene io, volevo dire che amarok puo sia connettersi a un mysql esterno oppure usare mysql embedded. In entrambi i casi hai il mysql completo.
_________________
Linux ape 2.6.31-vanilla. Paludis since 0.28.0.
Back to top
View user's profile Send private message
grifone87
Tux's lil' helper
Tux's lil' helper


Joined: 01 Jun 2005
Posts: 81
Location: Rome, Italy

PostPosted: Fri Nov 06, 2009 11:47 am    Post subject: Reply with quote

Ok, grazie per il chiarimento.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum